Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.nio
Class ClientConnectionHandler

    java.lang.Object
      org.apache.mina.common.IoHandlerAdapter
          org.jivesoftware.openfire.nio.ConnectionHandler
              org.jivesoftware.openfire.nio.ClientConnectionHandler

All Implemented Interfaces:
  org.apache.mina.common.IoHandler

    public class ClientConnectionHandler

extends ConnectionHandler

ConnectionHandler that knows which subclass of `StanzaHandler` should be created and how to build and configure a `NIOConnection`.

Author:
  Gaston Dombiak

Field Summary

Fields inherited from class org.jivesoftware.openfire.nio.ConnectionHandler
`serverName`

Constructor Summary
`ClientConnectionHandler(String serverName)`

Method Summary

Methods inherited from class org.jivesoftware.openfire.nio.ConnectionHandler
`exceptionCaught, messageReceived, messageSent, sessionClosed, sessionIdle, sessionOpened`

Methods inherited from class org.apache.mina.common.IoHandlerAdapter
`sessionCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientConnectionHandler

    public ClientConnectionHandler(String serverName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.